﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.Xna.Framework.Media;

namespace LensApp
{
    public partial class Share : PhoneApplicationPage
    {
        public Share()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            if (NavigationContext.QueryString.ContainsKey("FileId"))
            {
                string fileId = NavigationContext.QueryString["FileId"];
                MediaLibrary library = new MediaLibrary();
                Picture picture = library.GetPictureFromToken(fileId);
                Stream stream = picture.GetImage();
                BitmapImage image = new BitmapImage();
                image.SetSource(stream);
                SelectedImage.Source = image;
            }
        }
    }
}