﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Navigation;

namespace LensApp
{
    public class UriMapper: UriMapperBase
    {
        public override Uri MapUri(Uri uri)
        {
            string tempUri = uri.ToString();
            string mappedUri;

            if ((tempUri.Contains("ShareContent") && tempUri.Contains("FileId")))
            {
                mappedUri = tempUri.Replace("MainPage", "Share");
                return new Uri(mappedUri, UriKind.Relative);
            }

            if ((tempUri.Contains("RichMediaEdit") && tempUri.Contains("token")))
            {
                mappedUri = tempUri.Replace("MainPage", "Preview");
                return new Uri(mappedUri, UriKind.Relative);
            }

            return uri;
        }
    }
}
